package de.itssalzgitter.jaxb1;

import javax.xml.bind.ValidationEvent;
import javax.xml.bind.ValidationEventHandler;
import javax.xml.bind.ValidationEventLocator;

public class JaxbValidationEventHandler implements ValidationEventHandler
{

  /**
   * @see javax.xml.bind.ValidationEventHandler#handleEvent(javax.xml.bind.ValidationEvent)
   */
  public boolean handleEvent(ValidationEvent event)
  {
    java.io.PrintStream out = System.err;
    ValidationEventLocator locator = event.getLocator();
    out.print("Error in Line " + locator.getLineNumber() + ", Column " + locator.getColumnNumber() + ": " + event.getMessage() + " [");
    switch (event.getSeverity())
    {
      case ValidationEvent.ERROR       : out.print("ERROR"); break;
      case ValidationEvent.FATAL_ERROR : out.print("FATAL ERROR"); break;
      case ValidationEvent.WARNING     : out.print("WARNING"); break;
    }
    out.println("]");
    out.println("  Object: " + locator.getObject());
    out.println("  Node  : " + locator.getNode());
    out.println("  Offset: " + locator.getOffset());
    out.println("  URL   : " + locator.getURL());
    event.getLinkedException();
    return false;
  }

}
