package de.itssalzgitter.jaxb1;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

import java.io.File;
import java.io.FileNotFoundException;

import de.itssalzgitter.jaxb1.xml.spareparts.*;
import de.itssalzgitter.jaxb1.JaxbValidationEventHandler;

public class SparepartsReader
{

  public static SparePartCatalog readSpareparts(String spFile) throws JAXBException, FileNotFoundException
  {
    JAXBContext jc = JAXBContext.newInstance("de.itssalzgitter.jaxb1.xml.spareparts");
    Unmarshaller u = jc.createUnmarshaller();
    u.setEventHandler(new JaxbValidationEventHandler());
    u.setValidating(true);
    Object o = u.unmarshal(new File(spFile));
    return (SparePartCatalog) o;
  }

  public static void main(String[] args)
  {
    try
    {
      readSpareparts(args[0]);
    }
    catch (FileNotFoundException e)
    {
      e.printStackTrace();
    }
    catch (JAXBException e)
    {
      e.printStackTrace();
    }
  }
}
